# Interface methods for submodule: Euler2DTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import Rigid2DTransformProxy as _Rigid2DTransformProxy


# Interface methods for class: Euler2DTransform
class Euler2DTransformProxy(_Rigid2DTransformProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def CloneInverseTo(self, result) -> None:
		""""""
		...

	def GetInverse(self, inverse) -> bool:
		""""""
		...

	def GetInverseTransform(self):
		""""""
		...

	def CloneTo(self, result) -> None:
		""""""
		...

	def ComputeAngleFromMatrix(self) -> None:
		""""""
		...

